Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/bands.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/bands.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/bands.F90	(revision 5117)
@@ -4,14 +4,14 @@
   module Bands
   USE parallel_lmdz
-    integer, parameter :: bands_caldyn=1
-    integer, parameter :: bands_vanleer=2
-    integer, parameter :: bands_dissip=3
+    INTEGER, parameter :: bands_caldyn=1
+    INTEGER, parameter :: bands_vanleer=2
+    INTEGER, parameter :: bands_dissip=3
     
-    INTEGER,dimension(:),allocatable :: jj_Nb_Caldyn
-    INTEGER,dimension(:),allocatable :: jj_Nb_vanleer
-    INTEGER,dimension(:),allocatable :: jj_Nb_vanleer2
-    INTEGER,dimension(:),allocatable :: jj_Nb_dissip
-    INTEGER,dimension(:),allocatable :: jj_Nb_physic
-    INTEGER,dimension(:),allocatable :: jj_Nb_physic_bis
+    INTEGER,DIMENSION(:),ALLOCATABLE :: jj_Nb_Caldyn
+    INTEGER,DIMENSION(:),ALLOCATABLE :: jj_Nb_vanleer
+    INTEGER,DIMENSION(:),ALLOCATABLE :: jj_Nb_vanleer2
+    INTEGER,DIMENSION(:),ALLOCATABLE :: jj_Nb_dissip
+    INTEGER,DIMENSION(:),ALLOCATABLE :: jj_Nb_physic
+    INTEGER,DIMENSION(:),ALLOCATABLE :: jj_Nb_physic_bis
    
     TYPE(distrib),SAVE,TARGET :: distrib_Caldyn
@@ -22,5 +22,5 @@
     TYPE(distrib),SAVE,TARGET :: distrib_physic_bis
 
-    INTEGER,dimension(:),allocatable :: distrib_phys
+    INTEGER,DIMENSION(:),ALLOCATABLE :: distrib_phys
   
   contains
@@ -46,6 +46,6 @@
     include "dimensions.h"
       INTEGER :: i,j
-      character (len=4) :: siim,sjjm,sllm,sproc
-      character (len=255) :: filename
+      CHARACTER (LEN=4) :: siim,sjjm,sllm,sproc
+      CHARACTER (LEN=255) :: filename
       INTEGER :: unit_number=10
       INTEGER :: ierr
@@ -61,5 +61,5 @@
       OPEN(UNIT=unit_number,FILE=trim(filename),STATUS='old',FORM='formatted',IOSTAT=ierr)
       
-      if (ierr==0) THEN
+      IF (ierr==0) THEN
          do i=0,mpi_size-1
           read (unit_number,*) j,jj_nb_caldyn(i)
@@ -83,5 +83,5 @@
         do i=0,mpi_size-1
           jj_nb_caldyn(i)=(jjm+1)/mpi_size
-	  if (i<MOD(jjm+1,mpi_size)) jj_nb_caldyn(i)=jj_nb_caldyn(i)+1
+	  IF (i<MOD(jjm+1,mpi_size)) jj_nb_caldyn(i)=jj_nb_caldyn(i)+1
         enddo
       
@@ -112,5 +112,5 @@
       do i=0,mpi_size-1
          jj_nb_vanleer2(i)=(jjm+1)/mpi_size
-	 if (i<MOD(jjm+1,mpi_size)) jj_nb_vanleer2(i)=jj_nb_vanleer2(i)+1
+	 IF (i<MOD(jjm+1,mpi_size)) jj_nb_vanleer2(i)=jj_nb_vanleer2(i)+1
       enddo
           
@@ -128,6 +128,6 @@
        do i=0,MPI_Size-1
         jj_Nb_physic(i)=jj_para_end(i)-jj_para_begin(i)+1
-        if (i/=0) THEN
-          if (jj_para_begin(i)==jj_para_end(i-1)) THEN
+        IF (i/=0) THEN
+          IF (jj_para_begin(i)==jj_para_end(i-1)) THEN
             jj_Nb_physic(i-1)=jj_Nb_physic(i-1)-1
           endif
@@ -137,11 +137,11 @@
       do i=0,MPI_Size-1
         jj_Nb_physic_bis(i)=jj_para_end(i)-jj_para_begin(i)+1
-        if (i/=0) THEN
-          if (jj_para_begin(i)==jj_para_end(i-1)) THEN
+        IF (i/=0) THEN
+          IF (jj_para_begin(i)==jj_para_end(i-1)) THEN
             jj_Nb_physic_bis(i)=jj_Nb_physic_bis(i)-1
           else
 	    jj_Nb_physic_bis(i-1)=jj_Nb_physic_bis(i-1)+1
 	    jj_Nb_physic_bis(i)=jj_Nb_physic_bis(i)-1
-	  endif
+	  ENDIF
         endif
       enddo
@@ -174,5 +174,5 @@
 
     SUBROUTINE AdjustBands_caldyn(new_dist)
-      use times
+      USE times
       USE parallel_lmdz
       IMPLICIT NONE
@@ -182,6 +182,6 @@
       INTEGER :: min_proc,max_proc
       INTEGER :: i,j
-      real,allocatable,dimension(:) :: value
-      integer,allocatable,dimension(:) :: index
+      REAL,ALLOCATABLE,DIMENSION(:) :: value
+      INTEGER,ALLOCATABLE,DIMENSION(:) :: index
       REAL :: tmpvalue
       INTEGER :: tmpindex
@@ -200,5 +200,5 @@
       do i=0,mpi_size-2
         do j=i+1,mpi_size-1
-	  if (value(i)>value(j)) THEN
+	  IF (value(i)>value(j)) THEN
 	    tmpvalue=value(i)
 	    value(i)=value(j)
@@ -218,11 +218,11 @@
         minvalue=value(i)
         min_proc=index(i)
-        if (jj_nb_caldyn(max_proc)>2) THEN
-          if (timer_iteration(jj_nb_caldyn(min_proc)+1,timer_caldyn,min_proc)<=1 ) THEN
+        IF (jj_nb_caldyn(max_proc)>2) THEN
+          IF (timer_iteration(jj_nb_caldyn(min_proc)+1,timer_caldyn,min_proc)<=1 ) THEN
              jj_nb_caldyn(min_proc)=jj_nb_caldyn(min_proc)+1
              jj_nb_caldyn(max_proc)=jj_nb_caldyn(max_proc)-1
 	     exit
            else
-             if (timer_average(jj_nb_caldyn(min_proc)+1,timer_caldyn,min_proc)                 &
+             IF (timer_average(jj_nb_caldyn(min_proc)+1,timer_caldyn,min_proc)                 &
 	        -timer_delta(jj_nb_caldyn(min_proc)+1,timer_caldyn,min_proc) < maxvalue) THEN
                jj_nb_caldyn(min_proc)=jj_nb_caldyn(min_proc)+1
@@ -241,5 +241,5 @@
     
     SUBROUTINE AdjustBands_vanleer(new_dist)
-      use times
+      USE times
       USE parallel_lmdz
       IMPLICIT NONE
@@ -249,6 +249,6 @@
       INTEGER :: min_proc,max_proc
       INTEGER :: i,j
-      real,allocatable,dimension(:) :: value
-      integer,allocatable,dimension(:) :: index
+      REAL,ALLOCATABLE,DIMENSION(:) :: value
+      INTEGER,ALLOCATABLE,DIMENSION(:) :: index
       REAL :: tmpvalue
       INTEGER :: tmpindex
@@ -267,5 +267,5 @@
       do i=0,mpi_size-2
         do j=i+1,mpi_size-1
-	  if (value(i)>value(j)) THEN
+	  IF (value(i)>value(j)) THEN
 	    tmpvalue=value(i)
 	    value(i)=value(j)
@@ -286,6 +286,6 @@
         min_proc=index(i)
 
-        if (jj_nb_vanleer(max_proc)>2) THEN
-          if (timer_average(jj_nb_vanleer(min_proc)+1,timer_vanleer,min_proc)==0. .or. &
+        IF (jj_nb_vanleer(max_proc)>2) THEN
+          IF (timer_average(jj_nb_vanleer(min_proc)+1,timer_vanleer,min_proc)==0. .OR. &
              timer_average(jj_nb_vanleer(max_proc)-1,timer_vanleer,max_proc)==0.) THEN
              jj_nb_vanleer(min_proc)=jj_nb_vanleer(min_proc)+1
@@ -293,5 +293,5 @@
 	     exit
            else
-             if (timer_average(jj_nb_vanleer(min_proc)+1,timer_vanleer,min_proc) < maxvalue) THEN
+             IF (timer_average(jj_nb_vanleer(min_proc)+1,timer_vanleer,min_proc) < maxvalue) THEN
                jj_nb_vanleer(min_proc)=jj_nb_vanleer(min_proc)+1
                jj_nb_vanleer(max_proc)=jj_nb_vanleer(max_proc)-1
@@ -310,5 +310,5 @@
 
     SUBROUTINE AdjustBands_dissip(new_dist)
-      use times
+      USE times
       USE parallel_lmdz
       IMPLICIT NONE
@@ -318,6 +318,6 @@
       INTEGER :: min_proc,max_proc
       INTEGER :: i,j
-      real,allocatable,dimension(:) :: value
-      integer,allocatable,dimension(:) :: index
+      REAL,ALLOCATABLE,DIMENSION(:) :: value
+      INTEGER,ALLOCATABLE,DIMENSION(:) :: index
       REAL :: tmpvalue
       INTEGER :: tmpindex
@@ -336,5 +336,5 @@
       do i=0,mpi_size-2
         do j=i+1,mpi_size-1
-	  if (value(i)>value(j)) THEN
+	  IF (value(i)>value(j)) THEN
 	    tmpvalue=value(i)
 	    value(i)=value(j)
@@ -355,11 +355,11 @@
         min_proc=index(i)
 
-        if (jj_nb_dissip(max_proc)>3) THEN
-          if (timer_iteration(jj_nb_dissip(min_proc)+1,timer_dissip,min_proc)<=1) THEN
+        IF (jj_nb_dissip(max_proc)>3) THEN
+          IF (timer_iteration(jj_nb_dissip(min_proc)+1,timer_dissip,min_proc)<=1) THEN
              jj_nb_dissip(min_proc)=jj_nb_dissip(min_proc)+1
              jj_nb_dissip(max_proc)=jj_nb_dissip(max_proc)-1
 	     exit
            else
-             if (timer_average(jj_nb_dissip(min_proc)+1,timer_dissip,min_proc)         &
+             IF (timer_average(jj_nb_dissip(min_proc)+1,timer_dissip,min_proc)         &
 	        - timer_delta(jj_nb_dissip(min_proc)+1,timer_dissip,min_proc) < maxvalue) THEN
                jj_nb_dissip(min_proc)=jj_nb_dissip(min_proc)+1
@@ -379,5 +379,5 @@
 
     SUBROUTINE AdjustBands_physic
-      use times
+      USE times
 
       ! Ehouarn: what follows is only related to // physics
@@ -389,6 +389,6 @@
 
       INTEGER :: i,Index
-      real,allocatable,dimension(:) :: value
-      integer,allocatable,dimension(:) :: Inc
+      REAL,ALLOCATABLE,DIMENSION(:) :: value
+      INTEGER,ALLOCATABLE,DIMENSION(:) :: Inc
       REAL :: medium
       INTEGER :: NbTot,sgn
@@ -414,5 +414,5 @@
       enddo
       
-      if (NbTot>=0) THEN
+      IF (NbTot>=0) THEN
         Sgn=1
       else
@@ -425,5 +425,5 @@
         Inc(Index)=Inc(Index)-Sgn
 	Index=Index+1
-	if (Index>mpi_size-1) Index=0
+	IF (Index>mpi_size-1) Index=0
       enddo
       
@@ -441,6 +441,6 @@
 
       INTEGER :: i,j
-      character (len=4) :: siim,sjjm,sllm,sproc
-      character (len=255) :: filename
+      CHARACTER (LEN=4) :: siim,sjjm,sllm,sproc
+      CHARACTER (LEN=255) :: filename
       INTEGER :: unit_number=10
       INTEGER :: ierr
@@ -456,5 +456,5 @@
       OPEN(UNIT=unit_number,FILE=trim(filename),STATUS='replace',FORM='formatted',IOSTAT=ierr)
       
-      if (ierr==0) THEN
+      IF (ierr==0) THEN
 !	write (unit_number,*) '*** Bandes caldyn ***'
 	do i=0,mpi_size-1
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/bernoui_loc.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/bernoui_loc.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/bernoui_loc.f90	(revision 5117)
@@ -45,9 +45,9 @@
   ijb=ij_begin
   ije=ij_end+iip1
-  if (pole_sud) ije=ij_end
+  IF (pole_sud) ije=ij_end
 
   jjb=jj_begin
   jje=jj_end+1
-  if (pole_sud) jje=jj_end
+  IF (pole_sud) jje=jj_end
 
 !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/bilan_dyn_loc.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/bilan_dyn_loc.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/bilan_dyn_loc.f90	(revision 5117)
@@ -13,5 +13,5 @@
   USE parallel_lmdz
   USE mod_hallo
-  use misc_mod
+  USE misc_mod
   USE write_field_loc
   USE comconst_mod, ONLY: cpp, pi
@@ -56,5 +56,5 @@
   !   =======
 
-  integer,SAVE :: icum,ncum
+  INTEGER,SAVE :: icum,ncum
 !$OMP THREADPRIVATE(icum,ncum)
   LOGICAL,SAVE :: first=.TRUE.
@@ -76,10 +76,10 @@
   parameter (ifile=4)
 
-  integer,PARAMETER :: itemp=1,igeop=2,iecin=3,iang=4,iu=5
+  INTEGER,PARAMETER :: itemp=1,igeop=2,iecin=3,iang=4,iu=5
   INTEGER,PARAMETER :: iovap=6,iun=7
-  integer,PARAMETER :: i_sortie=1
-
-  real,SAVE :: time=0.
-  integer,SAVE :: itau=0.
+  INTEGER,PARAMETER :: i_sortie=1
+
+  REAL,SAVE :: time=0.
+  INTEGER,SAVE :: itau=0.
 !$OMP THREADPRIVATE(time,itau)
 
@@ -95,16 +95,16 @@
 
   !   champ contenant les scalaires advectés.
-  real,SAVE,ALLOCATABLE :: Q(:,:,:,:)
+  REAL,SAVE,ALLOCATABLE :: Q(:,:,:,:)
 
   !   champs cumulés
-  real,SAVE,ALLOCATABLE ::  ps_cum(:,:)
-  real,SAVE,ALLOCATABLE ::  masse_cum(:,:,:)
-  real,SAVE,ALLOCATABLE ::  flux_u_cum(:,:,:)
-  real,SAVE,ALLOCATABLE ::  flux_v_cum(:,:,:)
-  real,SAVE,ALLOCATABLE ::  Q_cum(:,:,:,:)
-  real,SAVE,ALLOCATABLE ::  flux_uQ_cum(:,:,:,:)
-  real,SAVE,ALLOCATABLE ::  flux_vQ_cum(:,:,:,:)
-  real,SAVE,ALLOCATABLE ::  flux_wQ_cum(:,:,:,:)
-  real,SAVE,ALLOCATABLE ::  dQ(:,:,:,:)
+  REAL,SAVE,ALLOCATABLE ::  ps_cum(:,:)
+  REAL,SAVE,ALLOCATABLE ::  masse_cum(:,:,:)
+  REAL,SAVE,ALLOCATABLE ::  flux_u_cum(:,:,:)
+  REAL,SAVE,ALLOCATABLE ::  flux_v_cum(:,:,:)
+  REAL,SAVE,ALLOCATABLE ::  Q_cum(:,:,:,:)
+  REAL,SAVE,ALLOCATABLE ::  flux_uQ_cum(:,:,:,:)
+  REAL,SAVE,ALLOCATABLE ::  flux_vQ_cum(:,:,:,:)
+  REAL,SAVE,ALLOCATABLE ::  flux_wQ_cum(:,:,:,:)
+  REAL,SAVE,ALLOCATABLE ::  dQ(:,:,:,:)
 
 
@@ -125,9 +125,9 @@
   data ctrs/'  ','TOT','MMC','TRS','STN'/
 
-  real,SAVE,ALLOCATABLE ::  zvQ(:,:,:,:),zvQtmp(:,:)
-  real,SAVE,ALLOCATABLE ::  zavQ(:,:,:),psiQ(:,:,:)
-  real,SAVE,ALLOCATABLE ::  zmasse(:,:),zamasse(:)
-
-  real,SAVE,ALLOCATABLE ::  zv(:,:),psi(:,:)
+  REAL,SAVE,ALLOCATABLE ::  zvQ(:,:,:,:),zvQtmp(:,:)
+  REAL,SAVE,ALLOCATABLE ::  zavQ(:,:,:),psiQ(:,:,:)
+  REAL,SAVE,ALLOCATABLE ::  zmasse(:,:),zamasse(:)
+
+  REAL,SAVE,ALLOCATABLE ::  zv(:,:),psi(:,:)
 
   INTEGER :: i,j,l,iQ
@@ -139,5 +139,5 @@
   CHARACTER(LEN=10) :: infile
 
-  integer, save :: fileid
+  INTEGER, save :: fileid
   INTEGER :: thoriid, zvertiid
 
@@ -153,5 +153,5 @@
   INTEGER :: zan, dayref
   !
-  real,SAVE,ALLOCATABLE :: rlong(:),rlatg(:)
+  REAL,SAVE,ALLOCATABLE :: rlong(:),rlatg(:)
   INTEGER :: jjb,jje,jjn,ijb,ije
   type(Request),SAVE :: Req
@@ -173,10 +173,10 @@
   !   Initialisation
   !=====================================================================
-  if (adjust) return
+  IF (adjust) return
 
   time=time+dt_app
   itau=itau+1
 
-  if (first) THEN
+  IF (first) THEN
 !$OMP BARRIER
 !$OMP MASTER
@@ -223,5 +223,5 @@
   !   ncum est la frequence de stokage en pas de temps
     ncum=dt_cum/dt_app
-    if (abs(ncum*dt_app-dt_cum)>1.e-5*dt_app) THEN
+    IF (abs(ncum*dt_app-dt_cum)>1.e-5*dt_app) THEN
        WRITE(lunout,*) &
              'Pb : le pas de cumule doit etre multiple du pas'
@@ -358,5 +358,5 @@
 
 !$OMP END MASTER
-  endif
+  ENDIF
 
 
@@ -419,10 +419,10 @@
       Q_cum(:,jjb:jje,l,:)=0.
       flux_uQ_cum(:,jjb:jje,l,:)=0.
-      if (pole_sud) jje=jj_end-1
+      IF (pole_sud) jje=jj_end-1
       flux_v_cum(:,jjb:jje,l)=0.
       flux_vQ_cum(:,jjb:jje,l,:)=0.
     ENDDO
 !$OMP END DO NOWAIT
-  endif
+  ENDIF
 
   IF (prt_level > 5) &
@@ -447,5 +447,5 @@
 !$OMP END DO NOWAIT
 
-  if (pole_sud) jje=jj_end-1
+  IF (pole_sud) jje=jj_end-1
 
 !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
@@ -499,5 +499,5 @@
   jjb=jj_begin
   jje=jj_end
-  if (pole_sud) jje=jj_end-1
+  IF (pole_sud) jje=jj_end-1
 
   do iQ=1,nQ
@@ -582,5 +582,5 @@
   !   PAS DE TEMPS D'ECRITURE
   !=====================================================================
-  if (icum==ncum) THEN
+  IF (icum==ncum) THEN
   !=====================================================================
 
@@ -647,5 +647,5 @@
   jjb=jj_begin
   jje=jj_end
-  if (pole_sud) jje=jj_end-1
+  IF (pole_sud) jje=jj_end-1
 
 !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
@@ -670,5 +670,5 @@
   jjb=jj_begin
   jje=jj_end
-  if (pole_sud) jje=jj_end-1
+  IF (pole_sud) jje=jj_end-1
 
 !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
@@ -717,5 +717,5 @@
   jjb=jj_begin
   jje=jj_end
-  if (pole_sud) jje=jj_end-1
+  IF (pole_sud) jje=jj_end-1
 
   zvQ=0.
@@ -776,10 +776,10 @@
   !   sorties proprement dites
 !$OMP MASTER
-  if (i_sortie==1) THEN
+  IF (i_sortie==1) THEN
   jjb=jj_begin
   jje=jj_end
   jjn=jj_nb
-  if (pole_sud) jje=jj_end-1
-  if (pole_sud) jjn=jj_nb-1
+  IF (pole_sud) jje=jj_end-1
+  IF (pole_sud) jjn=jj_nb-1
   do iQ=1,nQ
      do itr=1,ntr
@@ -801,5 +801,5 @@
         jjn*llm,ndex3d)
 
-  endif
+  ENDIF
 
 
@@ -832,5 +832,5 @@
   !/////////////////////////////////////////////////////////////////////
   icum=0                  !///////////////////////////////////////
-  endif ! icum.eq.ncum    !///////////////////////////////////////
+  ENDIF ! icum.EQ.ncum    !///////////////////////////////////////
   !/////////////////////////////////////////////////////////////////////
   !=====================================================================
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/caladvtrac_loc.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/caladvtrac_loc.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/caladvtrac_loc.f90	(revision 5117)
@@ -13,5 +13,5 @@
   USE bands
   USE times
-  USE Vampir
+  USE lmdz_vampir
   USE write_field_loc
   USE lmdz_cppkeys_wrapper, ONLY: CPPKEY_DEBUGIO
@@ -60,6 +60,6 @@
   ijbv = ij_begin - iip1
   ijev = ij_end
-  if (pole_nord) ijbv = ij_begin
-  if (pole_sud)  ijev = ij_end - iip1
+  IF (pole_nord) ijbv = ij_begin
+  IF (pole_sud)  ijev = ij_end - iip1
 
   IF(iadvtr==0) THEN
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/caldyn_loc.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/caldyn_loc.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/caldyn_loc.f90	(revision 5117)
@@ -144,6 +144,6 @@
   ije = ij_end + iip1
 
-  if (pole_nord) ijb = ij_begin
-  if (pole_sud) ije = ij_end
+  IF (pole_nord) ijb = ij_begin
+  IF (pole_sud) ije = ij_end
 
   !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
@@ -162,5 +162,5 @@
   ijb = ij_begin
   ije = ij_end
-  if (pole_sud) ije = ij_end - iip1
+  IF (pole_sud) ije = ij_end - iip1
 
   !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/call_dissip_mod.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/call_dissip_mod.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/call_dissip_mod.f90	(revision 5117)
@@ -82,5 +82,5 @@
     USE mod_hallo
     USE Bands
-    USE vampir
+    USE lmdz_vampir
     USE write_field_loc
     USE lmdz_cppkeys_wrapper, ONLY: CPPKEY_DEBUGIO
@@ -240,5 +240,5 @@
       !$OMP END DO NOWAIT
 
-      if (1 == 0) THEN
+      IF (1 == 0) THEN
         !!! Ehouarn: lines here 1) kill 1+1=2 in the dynamics
         !!!                     2) should probably not be here anyway
@@ -274,5 +274,5 @@
       !$OMP END DO NOWAIT
 
-      if (1 == 0) THEN
+      IF (1 == 0) THEN
         !!! Ehouarn: lines here 1) kill 1+1=2 in the dynamics
         !!!                     2) should probably not be here anyway
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/check_isotopes_loc.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/check_isotopes_loc.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/check_isotopes_loc.F90	(revision 5117)
@@ -1,5 +1,5 @@
 SUBROUTINE check_isotopes(q, ijb, ije, err_msg)
    USE parallel_lmdz
-   USE strings_mod, ONLY: maxlen, msg, strIdx, strStack, int2str, real2str
+   USE lmdz_strings, ONLY: maxlen, msg, strIdx, strStack, int2str, real2str
    USE infotrac,    ONLY: nqtot, niso, nphas, isotope, isoCheck, iqIsoPha, isoSelect, &
                           ntiso, iH2O, nzone, tracers, isoName,  itZonIso, getKey
@@ -38,5 +38,5 @@
       iso_O17 = strIdx(isoName,'H217O')
       iso_HTO = strIdx(isoName,'HTO')
-      if (tnat1) THEN
+      IF (tnat1) THEN
               tnat(:)=1.0
       else
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/conf_gcm.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/conf_gcm.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/conf_gcm.F90	(revision 5117)
@@ -91,5 +91,5 @@
   lunout=6
   CALL getin('lunout', lunout)
-  IF (lunout /= 5 .and. lunout /= 6) THEN
+  IF (lunout /= 5 .AND. lunout /= 6) THEN
      OPEN(UNIT=lunout,FILE='lmdz.out_0000',ACTION='write',  &
           STATUS='unknown',FORM='formatted')
@@ -102,5 +102,5 @@
   ! adjust=y not implemented in case of OpenMP threads...
   !$OMP PARALLEL
-  IF ((OMP_GET_NUM_THREADS()>1).and.adjust) THEN
+  IF ((OMP_GET_NUM_THREADS()>1).AND.adjust) THEN
      WRITE(lunout,*)'conf_gcm: Error, adjust should be set to n' &
           ,' when running with OpenMP threads'
@@ -340,5 +340,5 @@
   maxlatfilter = -1.0
   CALL getin('maxlatfilter',maxlatfilter)
-  if (maxlatfilter > 90) &
+  IF (maxlatfilter > 90) &
        CALL abort_gcm("conf_gcm", 'maxlatfilter should be <=90', 1)
   
@@ -359,5 +359,5 @@
   iflag_top_bound=1
   CALL getin('iflag_top_bound',iflag_top_bound)
-  IF (iflag_top_bound < 0 .or. iflag_top_bound > 2) &
+  IF (iflag_top_bound < 0 .OR. iflag_top_bound > 2) &
        CALL abort_gcm("conf_gcm", 'iflag_top_bound must be 0, 1 or 2', 1)
 
@@ -396,5 +396,5 @@
   CALL getin('ok_guide',ok_guide)
 
-  IF (ok_guide .and. adjust) CALL abort_gcm("conf_gcm", &
+  IF (ok_guide .AND. adjust) CALL abort_gcm("conf_gcm", &
        "adjust does not work with ok_guide", 1)
 
@@ -436,5 +436,5 @@
   !     .........   (  modif  le 17/04/96 )   .........
 
-  test_etatinit: IF (.not. etatinit) THEN
+  test_etatinit: IF (.NOT. etatinit) THEN
      !Config  Key  = clon
      !Config  Desc = centre du zoom, longitude
@@ -933,7 +933,7 @@
      CALL getin('ok_strato',ok_strato)
 
-     vert_prof_dissip = merge(1, 0, ok_strato .and. llm==39)
+     vert_prof_dissip = merge(1, 0, ok_strato .AND. llm==39)
      CALL getin('vert_prof_dissip', vert_prof_dissip)
-     CALL assert(vert_prof_dissip == 0 .or. vert_prof_dissip ==  1, &
+     CALL assert(vert_prof_dissip == 0 .OR. vert_prof_dissip ==  1, &
           "bad value for vert_prof_dissip")
 
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/covcont_loc.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/covcont_loc.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/covcont_loc.f90	(revision 5117)
@@ -33,13 +33,13 @@
   ijev=ij_end+iip1
 
-  if (pole_nord) THEN
+  IF (pole_nord) THEN
     ijbu=ij_begin+iip1
     ijbv=ij_begin
-  endif
+  ENDIF
 
-  if (pole_sud) THEN
+  IF (pole_sud) THEN
     ijeu=ij_end-iip1
     ijev=ij_end-iip1
-  endif
+  ENDIF
 
 !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/covnat_loc.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/covnat_loc.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/covnat_loc.f90	(revision 5117)
@@ -34,5 +34,5 @@
   ije=ij_end
 
-  if (pole_nord) THEN
+  IF (pole_nord) THEN
 !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
     DO l = 1,klevel
@@ -42,7 +42,7 @@
     ENDDO
 !$OMP ENDDO NOWAIT
-  endif
+  ENDIF
 
-  if (pole_sud) THEN
+  IF (pole_sud) THEN
 !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
     DO l = 1,klevel
@@ -52,10 +52,10 @@
     ENDDO
 !$OMP ENDDO NOWAIT
-  endif
+  ENDIF
 
   ijb=ij_begin
   ije=ij_end
-  if (pole_nord) ijb=ij_begin+iip1
-  if (pole_sud)  ije=ij_end-iip1
+  IF (pole_nord) ijb=ij_begin+iip1
+  IF (pole_sud)  ije=ij_end-iip1
 
 !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
@@ -69,6 +69,6 @@
   ijb=ij_begin-iip1
   ije=ij_end
-  if (pole_nord) ijb=ij_begin
-  if (pole_sud)  ije=ij_end-iip1
+  IF (pole_nord) ijb=ij_begin
+  IF (pole_sud)  ije=ij_end-iip1
 
 !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/dissip_loc.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/dissip_loc.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/dissip_loc.f90	(revision 5117)
@@ -92,5 +92,5 @@
   !$OMP END DO NOWAIT
 
-  if (pole_sud) ije = ij_end - iip1
+  IF (pole_sud) ije = ij_end - iip1
 
   !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
@@ -121,9 +121,9 @@
   ijb = ij_begin
   ije = ij_end
-  if (pole_sud) ije = ij_end - iip1
-
-  !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
-  DO l = 1, llm
-    if (pole_nord) THEN
+  IF (pole_sud) ije = ij_end - iip1
+
+  !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
+  DO l = 1, llm
+    IF (pole_nord) THEN
       DO ij = 1, iip1
         gdx(ij, l) = 0.
@@ -131,5 +131,5 @@
     endif
 
-    if (pole_sud) THEN
+    IF (pole_sud) THEN
       DO ij = 1, iip1
         gdx(ij + ip1jm, l) = 0.
@@ -137,10 +137,10 @@
     endif
 
-    if (pole_nord) ijb = ij_begin + iip1
+    IF (pole_nord) ijb = ij_begin + iip1
     DO ij = ijb, ije
       du(ij, l) = du(ij, l) - te1dt(l) * gdx(ij, l)
     ENDDO
 
-    if (pole_nord) ijb = ij_begin
+    IF (pole_nord) ijb = ij_begin
     DO ij = ijb, ije
       dv(ij, l) = dv(ij, l) - te1dt(l) * gdy(ij, l)
@@ -166,10 +166,10 @@
   ijb = ij_begin
   ije = ij_end
-  if (pole_sud) ije = ij_end - iip1
-
-  !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
-  DO l = 1, llm
-
-    if (pole_nord) THEN
+  IF (pole_sud) ije = ij_end - iip1
+
+  !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
+  DO l = 1, llm
+
+    IF (pole_nord) THEN
       DO ij = 1, iip1
         grx(ij, l) = 0.
@@ -177,10 +177,10 @@
     endif
 
-    if (pole_nord) ijb = ij_begin + iip1
+    IF (pole_nord) ijb = ij_begin + iip1
     DO ij = ijb, ije
       du(ij, l) = du(ij, l) - te2dt(l) * grx(ij, l)
     ENDDO
 
-    if (pole_nord) ijb = ij_begin
+    IF (pole_nord) ijb = ij_begin
     DO ij = ijb, ije
       dv(ij, l) = dv(ij, l) - te2dt(l) * gry(ij, l)
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/diverg_gam_loc.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/diverg_gam_loc.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/diverg_gam_loc.f90	(revision 5117)
@@ -47,5 +47,5 @@
   ijb=ij_begin
   ije=ij_end
-  if (pole_nord) ijb=ij_begin+iip1
+  IF (pole_nord) ijb=ij_begin+iip1
   IF(pole_sud)  ije=ij_end-iip1
 
@@ -70,5 +70,5 @@
   ! ....  calcul  aux poles  .....
   !
-   if (pole_nord) THEN
+   IF (pole_nord) THEN
       DO  ij  = 1,iim
        aiy1(ij) =    cuvscvgam(    ij       ) * y(     ij     , l )
@@ -81,5 +81,5 @@
    endif
 
-    if (pole_sud) THEN
+    IF (pole_sud) THEN
       DO  ij  = 1,iim
        aiy2(ij) =    cuvscvgam( ij+ ip1jmi1 ) * y( ij+ ip1jmi1, l )
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/diverg_p.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/diverg_p.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/diverg_p.f90	(revision 5117)
@@ -43,5 +43,5 @@
   ijb=ij_begin
   ije=ij_end
-  if (pole_nord) ijb=ij_begin+iip1
+  IF (pole_nord) ijb=ij_begin+iip1
   IF(pole_sud)  ije=ij_end-iip1
 
@@ -65,5 +65,5 @@
   ! ....  calcul  aux poles  .....
   !
-    if (pole_nord) THEN
+    IF (pole_nord) THEN
       DO  ij  = 1,iim
        aiy1(ij) =    cuvsurcv(    ij       ) * y(     ij     , l )
@@ -76,5 +76,5 @@
     endif
 
-   if (pole_sud) THEN
+   IF (pole_sud) THEN
       DO  ij  = 1,iim
        aiy2(ij) =    cuvsurcv( ij+ ip1jmi1 ) * y( ij+ ip1jmi1, l )
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/divergf_loc.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/divergf_loc.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/divergf_loc.f90	(revision 5117)
@@ -45,5 +45,5 @@
   ijb=ij_begin
   ije=ij_end
-  if (pole_nord) ijb=ij_begin+iip1
+  IF (pole_nord) ijb=ij_begin+iip1
   IF(pole_sud)  ije=ij_end-iip1
 
@@ -68,5 +68,5 @@
   ! ....  calcul  aux poles  .....
   !
-    if (pole_nord) THEN
+    IF (pole_nord) THEN
       DO  ij  = 1,iim
        aiy1(ij) =    cuvsurcv(    ij       ) * y(     ij     , l )
@@ -81,5 +81,5 @@
     endif
 
-    if (pole_sud) THEN
+    IF (pole_sud) THEN
       DO  ij  = 1,iim
        aiy2(ij) =    cuvsurcv( ij+ ip1jmi1 ) * y( ij+ ip1jmi1, l )
@@ -99,5 +99,5 @@
     jjb=jj_begin
     jje=jj_end
-    if (pole_sud) jje=jj_end-1
+    IF (pole_sud) jje=jj_end-1
 
     CALL filtreg_p( div,jjb_u,jje_u,jjb,jje, jjp1, &
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/dteta1_loc.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/dteta1_loc.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/dteta1_loc.f90	(revision 5117)
@@ -44,6 +44,6 @@
   ije=ij_end
 
-  if (pole_nord) ijb=ij_begin+iip1
-  if (pole_sud)  ije=ij_end-iip1
+  IF (pole_nord) ijb=ij_begin+iip1
+  IF (pole_sud)  ije=ij_end-iip1
 
   DO ij = ijb, ije - 1
@@ -60,5 +60,5 @@
 
   ijb=ij_begin-iip1
-  if (pole_nord) ijb=ij_begin
+  IF (pole_nord) ijb=ij_begin
 
   DO ij = ijb,ije
@@ -66,5 +66,5 @@
   END DO
 
-   if (.not. pole_sud) THEN
+   IF (.NOT. pole_sud) THEN
       hbxu(ije+1:ije+iip1,l) = 0
       hbyv(ije+1:ije+iip1,l) = 0
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/dudv1_loc.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/dudv1_loc.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/dudv1_loc.f90	(revision 5117)
@@ -33,6 +33,6 @@
   ije=ij_end
 
-  if (pole_nord) ijb=ij_begin+iip1
-  if (pole_sud)  ije=ij_end-iip1
+  IF (pole_nord) ijb=ij_begin+iip1
+  IF (pole_sud)  ije=ij_end-iip1
 
   DO ij = ijb, ije-1
@@ -44,5 +44,5 @@
 
   !
-  if (pole_nord) ijb=ij_begin
+  IF (pole_nord) ijb=ij_begin
 
   DO ij = ijb, ije-1
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/dudv2_loc.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/dudv2_loc.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/dudv2_loc.f90	(revision 5117)
@@ -37,6 +37,6 @@
   ijb=ij_begin
   ije=ij_end
-  if (pole_nord) ijb=ijb+iip1
-  if (pole_sud)  ije=ije-iip1
+  IF (pole_nord) ijb=ijb+iip1
+  IF (pole_sud)  ije=ije-iip1
 
   DO ij  = ijb, ije - 1
@@ -55,5 +55,5 @@
   !
   !
-  if (pole_nord) ijb=ijb-iip1
+  IF (pole_nord) ijb=ijb-iip1
 
   DO ij  = ijb,ije
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/dynetat0_loc.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/dynetat0_loc.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/dynetat0_loc.F90	(revision 5117)
@@ -8,8 +8,8 @@
   USE parallel_lmdz
   USE infotrac,    ONLY: nqtot, tracers, niso, iqIsoPha, iH2O, isoName
-  USE strings_mod, ONLY: maxlen, msg, strStack, real2str, int2str, strIdx
+  USE lmdz_strings, ONLY: maxlen, msg, strStack, real2str, int2str, strIdx
   USE netcdf,      ONLY: nf90_open,  nf90_nowrite, nf90_inquire_dimension, nf90_inq_varid, &
                          nf90_close, nf90_get_var, nf90_inquire_variable,  nf90_noerr
-  USE readTracFiles_mod, ONLY: new2oldH2O, newHNO3, oldHNO3, getKey
+  USE lmdz_readTracFiles, ONLY: new2oldH2O, newHNO3, oldHNO3, getKey
   USE control_mod, ONLY: planet_type
   USE lmdz_assert_eq, ONLY: assert_eq
@@ -182,5 +182,5 @@
       iqParent = tracers(iq)%iqParent
       IF(tracers(iq)%iso_iZone == 0) THEN
-         if (tnat1) THEN
+         IF (tnat1) THEN
                  tnat=1.0
                  alpha_ideal=1.0
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/dynredem_loc.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/dynredem_loc.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/dynredem_loc.F90	(revision 5117)
@@ -7,5 +7,5 @@
   USE parallel_lmdz
   USE mod_hallo
-  USE strings_mod, ONLY: maxlen
+  USE lmdz_strings, ONLY: maxlen
   USE infotrac, ONLY: nqtot, tracers
   USE netcdf, ONLY: nf90_create, nf90_def_dim, nf90_inq_varid, nf90_global,    &
@@ -166,5 +166,5 @@
   USE parallel_lmdz
   USE mod_hallo
-  USE strings_mod, ONLY: maxlen
+  USE lmdz_strings, ONLY: maxlen
   USE infotrac, ONLY: nqtot, tracers, type_trac
   USE control_mod
